<?php
namespace Claromentis\Core\Config;

$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] ?: array()) + array("_490fedd0c33685bd3a92a23dfbd" . "be38c" => base64_decode("JyBDb25maWd" . "WYWx1ZSB0by" . "BzdHJpbmc="), "_835783a340b626fa2" . "50ace4c8d8249f7" => base64_decode("VW5hYmxlIHRv" . "IGNhc3QgJw=="), "_6596b8f6a4969f9a3f" . "6a1b22b90e9331" => base64_decode("c3ByaW50" . "Zg=="), "_5a13027a56ff426a18806ba" . "f1e53ce74" => base64_decode("Q29uZmlnVmFs" . "dWUgJw=="), "_44b97fb00c5dc6204a2" . "e8b46429ce109" => base64_decode("aXNfc3RyaW5nYWJsZQ=" . "="), "_3758af61703edea17ee" . "38fab15f99b56" => base64_decode("JyBjYW5ub3QgYmUgc2V0IHdpdGhvdXQgYW4gaW5zdGFuY2Ugb2YgV3JpdGFibGVDb25ma" . "Wc="));
use RuntimeException;
use UnexpectedValueException;










class ConfigValue
{
    
    
    
    
    private Config $config;
    
    
    
    
    private string $key;
    
    
    
    
    private ?string $pattern;
    
    
    
    
    
    
    
    
    public function __construct(Config $config, string $key, ?string $_84e9b441a0415723346c265202959c32 = null)
    {
        $this->config = $config;
        $this->key = $key;
        $this->setPattern($_84e9b441a0415723346c265202959c32);
    }
    
    
    
    
    
    
    public function getValue()
    {
        return $this->config->get($this->key);
    }
    
    
    
    
    
    
    public function setValue($value)
    {
        if (!$this->config instanceof WritableConfig) {
            throw new RuntimeException($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_5a13027a56ff42" . "6a18806baf1e53c" . "e74"] . $this->key . $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_3758af61703ede" . "a17ee38fab15f99" . "b56"]);
        }
        $this->config->set($this->key, $value);
    }
    
    
    
    
    
    
    public function getPattern() : ?string
    {
        return $this->pattern;
    }
    
    
    
    
    
    
    
    
    public function setPattern(?string $_84e9b441a0415723346c265202959c32)
    {
        $this->pattern = $_84e9b441a0415723346c265202959c32;
    }
    
    
    
    
    
    
    public function getProcessedValue() : string
    {
        $value = $this->getValue();
        if (!$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_44b97fb00c5dc6204" . "a2e8b46429ce109"]($value)) {
            
            
            throw new UnexpectedValueException($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_835783a340b626fa250ace4c8d82" . "49f7"] . $this->key . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_490fedd0c33685b" . "d3a92a23dfbdbe38" . "c"]);
        }
        if ($this->pattern && $value !== null) {
            $value = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6596b8f6a" . "4969f9a3f6" . "a1b22b90e9" . "331"]($this->pattern, $value);
        }
        return (string) $value;
    }
    
    
    
    
    
    
    
    
    
    public function __toString() : string
    {
        return $this->getProcessedValue();
    }
}